Copyright: distributable
Source: rhl-cg-en-%{version}.tbz
Release: 2
Name: rhl-cg-en
Group: Documentation
Version: 8.0
Summary: The Red Hat Linux %{version} Customization Guide in HTML format.
BuildArchitectures: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: htmlview

%description
The Official Red Hat Linux %{version} Customization Guide contains
information on how to customize your Red Hat Linux system to fit your
needs. Step-by-step guides include setting up a network interface
card, configuring shared files and directories, managing software
using RPM, configuring a printer, configuring a Web server, and
gathering system information.

The %{name} package contains the Official Red Hat Linux %{version} 
Customization Guide in HTML format.  PDF, RPM, HTML tarball, and
browsable HTML formats are available from the Red Hat Docs web page at
http://www.redhat.com/docs/.

%prep
%define _builddir %(mkdir -p %{buildroot}%{_defaultdocdir} ; echo %{buildroot}%{_defaultdocdir})
%setup -q -c
for i in *
do
if [ -d $i ]; then
   cd $i
   mv -f * ../
   cd ..
   rmdir $i
fi
done

%build
 
%install

mkdir -p $RPM_BUILD_ROOT/usr/share/applications/

cat > $RPM_BUILD_ROOT/usr/share/applications/%{name}.desktop <<'EOF'
[Desktop Entry]
Name=Customization Guide
Comment=Read about customizing Red Hat Linux
Exec=htmlview file:%{_defaultdocdir}/%{name}-%{version}/index.html
Icon=/%{_defaultdocdir}/%{name}-%{version}/docs.png
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/applications/%{name}.desktop
/%{_defaultdocdir}/%{name}-%{version}

%changelog
* Mon Sep 02 2002 Tammy Fox <tfox@redhat.com>
- Rebuild with bug fixes

* Thu Aug 29 2002 Tammy Fox <tfox@redhat.com>
- Require htmlview

* Mon Aug 19 2002 Tammy Fox <tfox@redhat.com>
- Build for 8.0

* Wed Jul 24 2002 Tammy Fox <tfox@redhat.com>
- Build for 7.3.93

* Thu May 2 2002 Tammy Fox <tfox@redhat.com>
- Rebuild for 7.3 after beta testers feedback

* Mon Apr 08 2002 Tammy Fox <tfox@redhat.com>
- Updated version

* Wed Sep 5 2001 Tammy Fox <tfox@redhat.com>
- Added version to name of source file

* Thu Aug 30 2001 Edward C. Bailey <ed@redhat.com>
- Respin for 7.2

* Mon Aug 27 2001 Edward C. Bailey <ed@redhat.com>
- Freshen for next beta

* Thu Aug  9 2001 Edward C. Bailey <ed@redhat.com>
- Respun for 7.1.94

* Thu Jul 26 2001 Edward C. Bailey <ed@redhat.com>
- Migrated over to internally-generated .desktop file

* Wed Mar 14 2001 Edward C. Bailey <ed@redhat.com>
- Final build

* Fri Mar 09 2001 Edward C. Bailey <ed@redhat.com>
- Build w/updated content

* Thu Mar 01 2001 Edward C. Bailey <ed@redhat.com>
- Updated for another beta

* Thu Feb 15 2001 Edward C. Bailey <ed@redhat.com>
- Updated for second public beta

* Tue Jan 16 2001 Tammy Fox <tfox@redhat.com>
- created spec file, built for beta cycle after beta2
